Show / Hide Table of Contents

# Struct Hotbar

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Hotbar

### Methods

| Improve this Doc View Source

#### CancelCast()

##### Declaration

    public void CancelCast()

| Improve this Doc View Source

#### IsActionUnlocked(UInt32)

##### Declaration

    [Obsolete("This is wrong. Use UIState.IsUnlockLinkUnlocked() instead.", false)]
    public bool IsActionUnlocked(uint actionId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | actionId |

##### Returns

Type | Description
--- | ---
System.Boolean |